Bug 964175 - please install dmraid only when needed
please install dmraid only when needed
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: comps (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks: WhyWeBootSoSlow
  Show dependency treegraph
 
Reported: 2013-05-17 08:26 EDT by Lennart Poettering
Modified: 2014-03-16 23:33 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 08:23:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lennart Poettering 2013-05-17 08:26:43 EDT
Currently anaconda installs the iscsi components only if fedora is installed on an iscsi system. Please do the same for dmraid, as that causes major slow-downs for everybody, even though only a small minorty of people actually need it.

Also see:

https://lists.fedoraproject.org/pipermail/devel/2013-May/182912.html
Comment 1 Lennart Poettering 2013-05-17 08:28:57 EDT
(of coure, not installing LVm bits when we don't need them would be cool too!)
Comment 2 Lennart Poettering 2013-05-17 08:30:39 EDT
Note that I also posted this bug agains dmraid:

https://bugzilla.redhat.com/show_bug.cgi?id=964172

But anaconda really shouldn't install it in the first place if at all possible.
Comment 3 Lennart Poettering 2013-05-17 12:15:34 EDT
OK, according to these comments:

https://lists.fedoraproject.org/pipermail/devel/2013-May/182959.html

it is sufficient to simply drop dmraid from comps from base.

Hence, reassigning to comps. Bill, can we please drop dmraid from comps base? Dropping lvm2, mdadm would make a lot of sense too.
Comment 4 Bill Nottingham 2013-05-20 11:14:36 EDT
Dropped dmraid. (There are some reasons for the other packages there, and dmraid is the least likely to be useful out of the box if it wasn't needed on install.)

Note You need to log in before you can comment on or make changes to this bug.